#ifndef C_P1CAMERA_COMMON_DEFS_H
#define C_P1CAMERA_COMMON_DEFS_H

/**
* @file P1CameraSdkCommonDefs.h
*/

namespace P1
{
namespace CameraSdk
{
	typedef int CameraId;

	
	/**
     * @brief The image encoding used in an *in memory* buffer
     *
     * @sa IPreviewSubscription
     * @sa ILiveViewSubscription
     * @sa IFullImageSubscription
     */
	enum class ImageFormat
	{
			None  = 0,   /**< Undefined encoding */
			JPEG  = 1,   /**< Buffer contains a complete JPEG image file */
			RGB24 = 2,   /**< Buffer contains interleaved RGB 8-8-8 bitmap */
			Auto  = 3,   /**< JPEG og RGB24, depending on which is fastest (bandwidth dependent) */
			IIQ   = 4    /**< Buffer is in IIQ format */
	};

} // Namespace CameraSdk
} // Namespace P1

#endif // C_P1CAMERA_COMMON_DEFS_H
